Reference
Inbound
List Identity Links
Query Parameters
limit?integer
Default
100Range
1 <= value <= 200offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/inbound/identity-links"{
"items": [
{
"agentSpecId": "string",
"channel": "slack",
"createdAt": "2019-08-24T14:15:22Z",
"externalIdentity": "string",
"id": "string",
"metadata": {},
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"userId": "string",
"verified": true
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Identity Link
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
agentSpecId?|
channel*string
Value in
"slack" | "email" | "sms" | "webhook"externalIdentity*string
userId*string
verified?boolean
Default
falseResponse Body
application/json
application/json
curl -X POST "https://loading/api/v1/inbound/identity-links" \ -H "Content-Type: application/json" \ -d '{ "channel": "slack", "externalIdentity": "string", "userId": "string" }'{
"agentSpecId": "string",
"channel": "slack",
"createdAt": "2019-08-24T14:15:22Z",
"externalIdentity": "string",
"id": "string",
"metadata": {},
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"userId": "string",
"verified": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Identity Link
Path Parameters
link_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X DELETE "https://loading/api/v1/inbound/identity-links/497f6eca-6276-4993-bfeb-53cbbbba6f08"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Verify Identity Link
Path Parameters
link_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/inbound/identity-links/497f6eca-6276-4993-bfeb-53cbbbba6f08/verify"{
"agentSpecId": "string",
"channel": "slack",
"createdAt": "2019-08-24T14:15:22Z",
"externalIdentity": "string",
"id": "string",
"metadata": {},
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"userId": "string",
"verified": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Messages
Query Parameters
status?|
limit?integer
Default
100Range
1 <= value <= 200offset?integer
Default
0Range
0 <= valueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/inbound/messages"{
"items": [
{
"attachments": [
{}
],
"channel": "slack",
"channelMessageId": "string",
"channelMetadata": {},
"channelThreadId": "string",
"chatThreadId": "string",
"chatTurnId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"error": {},
"externalIdentity": "string",
"id": "string",
"idempotencyKey": "string",
"routeTarget": "agent",
"routeTargetId": "string",
"status": "received",
"tenantId": "string",
"text": "string",
"trustLevel": "verified",
"updatedAt": "2019-08-24T14:15:22Z",
"userId": "string"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Message
Path Parameters
message_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/inbound/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"attachments": [
{}
],
"channel": "slack",
"channelMessageId": "string",
"channelMetadata": {},
"channelThreadId": "string",
"chatThreadId": "string",
"chatTurnId": "string",
"createdAt": "2019-08-24T14:15:22Z",
"error": {},
"externalIdentity": "string",
"id": "string",
"idempotencyKey": "string",
"routeTarget": "agent",
"routeTargetId": "string",
"status": "received",
"tenantId": "string",
"text": "string",
"trustLevel": "verified",
"updatedAt": "2019-08-24T14:15:22Z",
"userId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}